%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
%define python_sitelib64 %(python_64 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

%define _libdir64 %{_prefix}/lib64

%define name python-setuptools
%define srcname distribute
%define version 0.6.45
%define release 1

Summary: Easily download, build, install, upgrade, and uninstall Python packages
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{srcname}-%{version}.tar.gz
License: PSF or ZPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: The fellowship of the packaging <distutils-sig@python.org>
Url: http://packages.python.org/distribute

BuildRequires:  python-devel
Requires:       python

# Provide this since some people will request distribute by name
Provides: python-distribute = %{version}-%{release}

%description
`Distribute` is a fork of the `Setuptools` project.

Distribute is intended to replace Setuptools as the standard method for working with Python module distributions.

%prep
%setup -q -n %{srcname}-%{version}
find . -name '*.txt' -print0 | xargs -0 chmod -x
find . -name '*.orig' -exec rm {} \;

mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit/

%build
cd 64bit
python_64 setup.py build

cd ../32bit
python setup.py build

%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

cd 64bit
python_64 setup.py install --skip-build --root ${RPM_BUILD_ROOT}

cd ../32bit
python setup.py install --skip-build --root ${RPM_BUILD_ROOT}

rm -rf ${RPM_BUILD_ROOT}%{python_sitelib}/setuptools/tests
rm -rf ${RPM_BUILD_ROOT}%{python_sitelib64}/setuptools/tests

find ${RPM_BUILD_ROOT}%{python_sitelib} -name '*.exe' | xargs rm -f
find ${RPM_BUILD_ROOT}%{python_sitelib64} -name '*.exe' | xargs rm -f

chmod +x ${RPM_BUILD_ROOT}%{python_sitelib}/setuptools/command/easy_install.py
chmod +x ${RPM_BUILD_ROOT}%{python_sitelib64}/setuptools/command/easy_install.py

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,system,-)
%doc 32bit/*.txt 32bit/docs
%{_bindir}/*
/usr/bin/*
%{python_sitelib}/*
%{python_sitelib64}/*

%changelog
* Thu May 1 2013 Tristan Delhalle <Tristan.Delhalle@ext.bull.net> - 0.6.45-1
- updated to version 0.6.45

* Thu Nov 17 2011 Michael Perzl <michael@perzl.org> - 0.6.24-1
- updated to version 0.6.24

* Mon Jan 17 2011 Michael Perzl <michael@perzl.org> - 0.6.14-1
- first version for AIX V5.1 and higher
